{% extends "base.html" %}
{% load i18n %}
{% load tz %}
{% load url from future %}
{% load static from staticfiles %}
{% load staticfiles %}

{% block title %}
    {{ block.super }} Menu
{% endblock %}


{% block content %}
    {{ block.super }}

    {% if calendar %}
        <h2>calendar: "<a href="{{ calendar.url_to_desc }}">{{ calendar.title }}</a>"</h2>

        <p>
            <a class="ical" title="Subscribe"
               href="{% url 'calfeed' cal_id=calendar.pk %} ">
                <img src="{% static 'images/icon-rss.gif' %}" alt="RSS">
            </a>
            {% if 'IC' in calendar.parse %}
            <a class="ical" title="Subscribe" href="{{ calendar.url_to_parse }}">
                <img src="{% static 'images/iCal.png' %}" alt="iCal"></a>
            {% else %}
            <a class="ical" title="Subscribe" href="{% url 'calics' cal_id=calendar.id %}">
                <img src="{% static 'images/iCal.png' %}" alt="iCal"></a>
            {% endif %}
        </p>
(
        <b>{{ calendar.get_parse_display }}</b> found at <i>{{ calendar.url_to_parse }}</i>)
        {% if 'FIXME' in calendar.title %}<p>Are you sure this seminar does exist yet?</p>{% endif %}
        {% if user.is_authenticated %}
            <div>
            declared by:
            {% if calendar.created_by.first_name and  calendar.created_by.last_name %}
            {{ calendar.created_by.first_name }}
            {{ calendar.created_by.last_name }}
            {% endif %}
            {% if calendar.created_by.email %}
                <A HREF="mailto:{{ calendar.created_by.email }}">{{ calendar.created_by.email }}</A>
            {% else %}
                {{ calendar.created_by.email }}
            {% endif %}
            </div>
            <div>
            {% if calendar.contact %}
                contact: {{ calendar.contact }}
            {% endif %}
            </div>
            <div>
            {% if calendar.url_to_desc %}
                source: <A HREF="{{ calendar.url_to_desc }}">{{ calendar.url_to_desc }}</A>
            {% endif %}
            </div>
        {% endif %}
        <div>
            {% for org in calendar.org.all %}
                back to <a href="{% url 'organisation_detail' org.ref %}">Org: "{{ org|safe }}"</a>
            {% endfor %}
        </div>

        {% if not calendar.published %}
            This calendar is actually hidden, you can't use it
        {% endif %}
        {% if user.is_authenticated %}
            <hr>

            {% if user.is_authenticated and not user.is_superuser %}
                <div>
                    <a href="#" class="c_sub" id="{{ calendar.id }}">{% if subscription %}unsubscribe{% else %}subscribe{% endif %}</a>
                </div>
            {% endif %}

            {% if calendar.created_by == request.user or request.user.is_staff %}
                {% if calendar.enabled %}
                    <a href="{% url 'collect' calendar.id %}">Collect</a>
                {% else %}
                    (Collect stopped since {{ calendar.edited_on|date }})
                {% endif %}
                <a href="{% url 'update_cal' calendar.id %}">Modify</a>
                {% if user.is_authenticated and request.user.is_superuser %}
                    <a href="{% url 'delete_cal' calendar.id %}">Suppress</a>
                {% endif %}
            {% endif %}
        {% endif %}
    {% else %}
        <hr>
        <div>
            <a class="ical" title="Subscribe"
               href="{% url 'future_rss' %} ">
                <img src="{% static 'images/icon-rss.gif' %}" alt="RSS">
            </a>
        </div>
        <div>
            <a class="ical" title="Subscribe" href="{% url 'latestical' %} ">
            <img src="{% static 'images/iCal.png' %}" alt="iCal">
            </a>
        </div>
    {% endif %}
    {% if user.is_authenticated %}
        <input type="hidden" name="user" id="user" value="{{ user.id }}">
    {% endif %}

    </div>
    {% if object_list %}
        <hr>
            Your selected calendar is actually: "
            {% if user.userprofile.my_default_subscription.description %}
            <a href="{% url 'detail_subscription' user.userprofile.my_default_subscription.id %}">{{ user.userprofile.my_default_subscription.description }}</a>
                {% else %}My default subscription
                {% endif %}"
            . (<a href="{% url 'subscriptions' %}">Choose another one</a> )
{% comment %}
        {% if not user.is_superuser or calendar and user != calendar.created_by %}
            <h3>only future events</h3>
        {% endif %}
{% endcomment %}

        <table cellpadding="0" cellspacing="0" border="1" class="display" id="eventTable">
            <thead>
            <tr>
                <th></th>
                <th>Start</th>
                <th>Attendee</th>
                <th>Summary</th>
                <th>URL</th>
                <th></th>
                {% if not calendar %}
                    <th>Calendar</th>
                    <th>Add to default calendar</th>
                    {% if user.is_superuser %}
                        <th>Parser</th>
                    {% endif %}
                    <th>Org</th>
                {% endif %}
            </tr>
            </thead>
            <tbody>

            {% for publisher,sub in object_list %}
                 {% if publisher.dtend > date_now %}
                    <tr>
                        <td>
                            <small><i><a
                                    href="{% url 'details_on_event' publisher.pk %}">{{ forloop.counter|stringformat:"03d" }}</a>
                            </i>
                            </small>
                        </td>
                        <td>
                            {% if publisher.is_dtstart_without_time %}
                                {{ publisher.dtstart|date }}
                            {% else %}
                                {% if 'IC' in publisher.calendar.parse %}{{ publisher.dtstart|utc }}{%else%}{{ publisher.dtstart|localtime }}{%endif%}
                                {% if publisher.dtend %}
                                    <br>
                                {% if 'IC' in publisher.calendar.parse %}{{ publisher.dtend|utc }}{%else%}{{ publisher.dtend|localtime }}{%endif%}
                                {% endif %}
                            {% endif %}
                        <td>{{ publisher.attendee }}</td>
                        <td>{{ publisher.summary }}</td>
                        <td>
                            {% if publisher.url %}<a href="{{ publisher.url }}">Link</a>
                            {% endif %}
                        </td>
                        <td>
                            {% if publisher.dtstart.date > date_now %}
                            <div>
                                <a class="ical" title="Subscribe" href="{% url 'eventics' publisher.id %}">
                                    <img src="{% static 'images/iCal.png' %}" alt="iCal">
                                </a>
                            </div>
                            {% endif %}
                        </td>
                        {% if not calendar %}
                            <td>
                                {% if publisher.calendar %}
                                    <a href="{% url 'calendar_detail' publisher.calendar.id %}">{{ publisher.calendar|safe }}</a>
                                {% endif %}
                            </td>
                            <td>
                                {% if user.is_authenticated and not user.is_superuser %}
                                    <div>
                                        <a href="#" class="c_sub" id="{{ publisher.calendar.id }}">{% if sub %}unsubscribe{% else %}subscribe{% endif %}</a>
                                    </div>
                                {% endif %}
                            </td>
                            {% if user.is_superuser %}
                                <td>{{ publisher.calendar.get_parse_display }}</td>
                            {% endif %}
                            <td>{% for org in publisher.calendar.org.all %}
                                <a href="{% url 'organisation_detail' org.ref %}">{{ org|safe }}</a>
                            {% endfor %}</td>
                        {% endif %}
                    </tr>
                {% endif %}
            {% endfor %}
            </tbody>
        </table>
        <table cellpadding="0" cellspacing="0" border="1" class="display" id="pasteventTable">
        <caption>Past events</caption>
            <thead>
            <tr>
                <th></th>
                <th>Start</th>
                <th>Attendee</th>
                <th>Summary</th>
                <th>URL</th>
                <th></th>
                {% if not calendar %}
                    <th>Calendar</th>
                    <th>Add to default calendar</th>
                    {% if user.is_superuser %}
                        <th>Parser</th>
                    {% endif %}
                    <th>Org</th>
                {% endif %}
            </tr>
            </thead>
            <tbody>

            {% for publisher,sub in object_list %}
                {% if publisher.dtend < date_now %}
                    <tr>
                        <td>
                            <small><i><a
                                    href="{% url 'details_on_event' publisher.pk %}">{{ forloop.counter|stringformat:"03d" }}</a>
                            </i>
                            </small>
                        </td>
                        <td>
                            {% if publisher.is_dtstart_without_time %}
                                {{ publisher.dtstart|date }}
                            {% else %}
                                {{ publisher.dtstart|localtime }} -
                                {% if publisher.dtend %}
                                    {{ publisher.dtend|localtime }}
                                {% endif %}
                            {% endif %}
                        <td>{{ publisher.attendee }}</td>
                        <td>{{ publisher.summary }}</td>
                        <td>
                            {% if publisher.url %}<a href="{{ publisher.url }}">Link</a>
                            {% endif %}
                        </td>
                        <td>
                            {% if publisher.dtstart.date > date_now %}
                            <div>
                                <a class="ical" title="Subscribe" href="{% url 'eventics' publisher.id %}">
                                    <img src="{% static 'images/iCal.png' %}" alt="iCal">
                                </a>
                            </div>
                            {% endif %}
                        </td>
                        {% if not calendar %}
                            <td>
                                {% if publisher.calendar %}
                                    <a href="{% url 'calendar_detail' publisher.calendar.id %}">{{ publisher.calendar|safe }}</a>
                                {% endif %}
                            </td>
                            <td>
                                {% if user.is_authenticated and not user.is_superuser %}
                                    <div>
                                        <a href="#" class="c_sub" id="{{ publisher.calendar.id }}">{% if sub %}unsubscribe{% else %}subscribe{% endif %}</a>
                                    </div>
                                {% endif %}
                            </td>
                            {% if user.is_superuser %}
                                <td>{{ publisher.calendar.get_parse_display }}</td>
                            {% endif %}
                            <td>{% for org in publisher.calendar.org.all %}
                                <a href="{% url 'organisation_detail' org.ref %}">{{ org|safe }}</a>
                            {% endfor %}</td>
                        {% endif %}
                    </tr>
                {% endif %}
            {% endfor %}
            </tbody>
        </table>
    {% else %}
        <div>
            No events
        </div>
    {% endif %}

    {% if messages %}
        <h1>Messages</h1>
        <ul class="messages">
            {% for msg in messages %}
                <li {% if msg.tags %} class="{{ msg.tags }}"{% endif %} >
                    <textarea>{{ msg|safe }}</textarea>
                </li>
            {% endfor %}
        </ul>
    {% endif %}

{% endblock %}


{% block css %}
    {{ block.super }}
    <!-- extension jquery pour les tableaux -->
    <link rel="stylesheet" type="text/css" href="{% static 'js/DataTables-1.8.2/media/css/demo_table.css' %}"/>

    <STYLE TYPE="text/css">
        <!--
        .darkrow, .darkrow TD, .darkrow TH {
            background-color: darkgray;
            color: red;
        }

        -->
    </STYLE>

{% endblock %}


{% block controleur_js %}
    {{ block.super }}
    <!-- extension jquery pour les tableaux -->
    <script src="{% static 'js/DataTables-1.8.2/media/js/jquery.dataTables.js' %}"></script>
    <script src="{% static 'js/subscription.js' %}"></script>

    <script type="text/javascript">
        $(document).ready(function () {
            // to manage subscription
            $('#eventTable').dataTable({
                {% comment %}
                            "aoColumns": [
                                { "sType": "numeric" },
                                null,
                                null,
                                null,
                                null,
                                null,
                                null
                            ],
                {% endcomment %}
                "aaSorting": [
                    [ 0, "asc" ]
                ],
                "bPaginate": false
            });
        });
    </script>
{% endblock %}
